unit SysInfo1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Gauges, Buttons, ComCtrls, dbiTypes, DBIProcs, DB;

type
  TFormSysInfo = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Bevel1: TBevel;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    MemoryGauge: TGauge;
    Label8: TLabel;
    Label19: TLabel;
    Bevel2: TBevel;
    Label22: TLabel;
    Label23: TLabel;
    Label24: TLabel;
    Label25: TLabel;
    Label26: TLabel;
    Label27: TLabel;
    Label28: TLabel;
    Label29: TLabel;
    Label30: TLabel;
    Label31: TLabel;
    Label32: TLabel;
    Label33: TLabel;
    Label34: TLabel;
    Label35: TLabel;
    Label20: TLabel;
    Label36: TLabel;
    GaugeDiskSpace: TGauge;
    Bevel3: TBevel;
    Bevel4: TBevel;
    Bevel5: TBevel;
    Bevel6: TBevel;
    Bevel7: TBevel;
    Bevel8: TBevel;
    StatusBar1: TStatusBar;
    BitBtn1: TBitBtn;
    Panel1: TPanel;
    Label37: TLabel;
    Label38: TLabel;
    Label21: TLabel;
    procedure FormShow(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormSysInfo: TFormSysInfo;

implementation

{$R *.DFM}

{><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><}
{><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><}

procedure TFormSysInfo.FormShow(Sender: TObject);
Var
Err                       : Dword;
_SysInfo                  : TSystemInfo;
_MemStat                  : TMemoryStatus;
_OSVERSIONINFO            : TOSVersionInfo;
MajorVer,
MinorVer,
Numb                      : dWORD;
Platform                  : STRING;
_lpVolumeNameBuffer       : PChar;
_lpVolumeSerialNumber     : PDWORD;
_lpMaximumComponentLength : DWORD;
_lpFileSystemFlags        : DWORD;
_lpFileSystemNameBuffer   : PChar;
_lpSectorsPerCluster,
_lpBytesPerSector,
_lpNumberOfFreeClusters,
_lpTotalNumberOfClusters  : DWORD ;
_driveType                : UINT;
DBISysInfoList            : TStringList;
SPC,BPS,NOFC              : Int64;
TotalFreeDiskSpace,
TotalDiskSpace            : Longword; //LongWord; //Was Longint 10/10/1998 DWR

begin
{OPERATING SYSTEM}
{Initialize Version Variables }
PlatForm := 'Unknown';
MajorVer:=0;
MinorVer:=0;
Numb:=0;


_OSVERSIONINFO.dwOSVersionInfoSize:=sizeof(_OSVERSIONINFO);
if GetVersionEx(_OSVERSIONINFO)then
  begin
    MajorVer:=_OSVERSIONINFO.dwMajorVersion;
    MinorVer:=_OSVERSIONINFO.dwMinorVersion;
    Numb:=_OSVERSIONINFO.dwBuildNumber;
    if (_OSVERSIONINFO.dwPlatformId and VER_PLATFORM_WIN32_WINDOWS) <>0 THEN
        Platform:='Windows 95';
    if (_OSVERSIONINFO.dwPlatformId and VER_PLATFORM_WIN32_NT) <>0 then
        Platform:='Windows NT';
  end;
{MEMORY}
_MemStat.dwLength:=sizeof(_MemStat);
globalMemoryStatus(_MemStat);
MemoryGauge.MaxValue:=_MemStat.dwTotalPhys;
MemoryGauge.progress:=_MemStat.dwAvailPhys;
Label9.caption:=inttostr(_MemStat.dwTotalPhys);
Label10.caption:=inttostr(_MemStat.dwAvailPhys);
Label11.caption:=inttostr(_MemStat.dwTotalPageFile);
Label12.caption:=inttostr(_MemStat.dwAvailPageFile);
Label13.caption:=inttostr(_MemStat.dwTotalVirtual);
Label14.caption:=inttostr(_MemStat.dwAvailVirtual);
{SystemInfo}
 GetSystemInfo(_SysInfo);
 Label16.caption:=inttostr(_SysInfo.dwProcessorType);
 Label18.caption:=inttostr(_SysInfo.dwNumberOfProcessors);
 Label19.caption:=inttostr(_SysInfo.dwPageSize);
//Disk Info
//Drive Type

   Case getdriveType(nil)of

     DRIVE_REMOTE:      Label23.caption:='Network Drive';
     DRIVE_FIXED:       Label23.caption:='Fixed Drive';
     DRIVE_REMOVABLE:   Label23.caption:='Removable Drive';
     DRIVE_UNKNOWN:     Label23.caption:='Drive type can not be determined';
     DRIVE_NO_ROOT_DIR: Label23.caption:='Root Directory does not exist';
     DRIVE_CDROM:       Label23.caption:='CD-ROM';
     DRIVE_RAMDISK:     Label23.caption:='RAM Disk';
   end;

if GetDiskFreeSpace(nil,_lpSectorsPerCluster, _lpBytesPerSector,
_lpNumberOfFreeClusters, _lpTotalNumberOfClusters) then
  begin
    Label25.caption:=inttostr(_lpSectorsPerCluster);
    Label27.caption:=inttostr(_lpBytesPerSector);
    Label30.caption:=inttostr(_lpNumberOfFreeClusters);
    Label31.caption:=inttostr(_lpTotalNumberOfClusters);
    SPC := _lpSectorsPerCluster;
    BPS := _lpBytesPerSector;
    NOFC:= _lpTotalNumberOfClusters;
    TotalDiskSpace := SPC * BPS * NOFC;

//    TotalDiskSpace := Int64(_lpSectorsPerCluster) * Int64(_lpBytesPerSector) * Int64(_lpTotalNumberOfClusters);
    Label33.caption:=IntToStr(TotalDiskSpace);
    TotalFreeDiskSpace :=  Int64(_lpSectorsPerCluster) * Int64(_lpBytesPerSector) * Int64(_lpNumberOfFreeClusters) ;
    Label35.caption := IntToStr(TotalFreeDiskSpace);

    GaugeDiskSpace.MinValue := 0;
    GaugeDiskSpace.MaxValue := TotalDiskSpace div 1000000 ;
    GaugeDiskSpace.Progress := TotalFreeDiskSpace div 1000000 ;
    {Gauge2.Progress:=_TotalDiskSpace - _TotalFreeDiskSpace;}

  end;

panel1.caption:= (Platform+' '+intTostr(MajorVer)+'.'+intTostr(MinorVer)+
' -  Build: '+inttostr(numb));

end;

{><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><}
{><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><}



{><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><}
{><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><}

procedure TFormSysInfo.BitBtn1Click(Sender: TObject);
begin
 close;
end;


end.
